# $Revision: 1.16 $, $Date: 2012/02/12 21:56:26 $
# TODO:
#	- prevent linking pspcl6 and pcl6 with expat
#	- fix GS_LIB_DEFAULT path to gs_init.ps (pspcl6)
#	  how about GS_DOT_VERSION?
#	- rename urwfonts subpackage to font-TTF-urw
#	- create alternate Type1 font subpackage:
#	  http://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/GhostPCL/urwfonts_t1-1.40.tar.bz2

%define	urwfonts_ver	1.41

Summary:	PostScript, PDF and XPS interpreter and renderer
Summary(pl.UTF-8):	Interpreter i renderer PostScriptu, PDF oraz XPS
Name:		ghostpcl
Version:	1.54
Release:	5
License:	GPL v2
Group:		Applications/Graphics
#Source0:	http://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/ghostpdl/ghostpdl-%{version}.tar.bz2
#Source0:	http://www.ctan.org/get/support/ghostscript/GPL/ghostpdl/ghostpdl-%{version}.tar.bz2
Source0:	http://ghostscript.com/releases/ghostpdl-%{version}.tar.bz2
# Source0-md5:	228f96df51d192b95bc4d9340015aa9e
#Source1:	http://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/GhostPCL/urwfonts-%{urwfonts_ver}.tar.bz2
Source1:	http://www.ctan.org/get/nonfree/support/ghostscript/AFPL/GhostPCL/urwfonts-%{urwfonts_ver}.tar.bz2
# Source1-md5:	6d65230fa5e9783a0b5942b55dc5219f
Patch0:		%{name}-fonts_locations.patch
Patch1:		%{name}-make.patch
URL:		http://www.artifex.com/downloads/
#BuildRequires:	XFree86-devel
BuildRequires:	expat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GhostPCL is Artifex Software's implementation of the PCL-5(TM) and
PCL-XL(TM) family of page description languages. For more information
please see the documentation included with the source package.

%description -l pl.UTF-8
GhostPCL jest implementacją języków z rodzin PCL-5(TM) i PCL-XL(TM)
opisujących stronę. Więcej informacji znajduje się w dokumentacji
załączonej do pakietu.

%package urwfonts
Summary:	URW fonts in TTF format for GhostPCL
Summary(pl.UTF-8):	Fonty URW w formacie TTF dla GhostPCL-a
License:	Alladin Free Public License
Group:		Fonts
Requires(post,postun):	fontpostinst

%description urwfonts
URW fonts in TTF format for GhostPCL.

%description urwfonts -l pl.UTF-8
Fonty URW w formacie TTF dla GhostPCL-a.

%prep
%setup -q -n ghostpdl-%{version} -a1
%patch0 -p1
%patch1 -p1

%build
%{__make} -j1 \
	CC="%{__cc}" \
	XCFLAGS="%{rpmcflags}" \
	XLDFLAGS="%{rpmldflags}" \
	SHARE_JPEG=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/fonts/TTF}
install language_switch/obj/pspcl6 main/obj/pcl6 tools/pcl2pdfwr xps/obj/gxps $RPM_BUILD_ROOT%{_bindir}
install urwfonts*/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/TTF

%clean
rm -rf $RPM_BUILD_ROOT

%post urwfonts
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc README.txt doc/*
%attr(755,root,root) %{_bindir}/*

%files urwfonts
%defattr(644,root,root,755)
%{_datadir}/fonts/TTF

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghostpcl.spec,v $
Revision 1.16  2012/02/12 21:56:26  adamg
- pass cc, rpmldflags
- release 5 (rebuild against libpng-1.5)

Revision 1.15  2012/02/12 08:10:12  arekm
- release 4

Revision 1.14  2012/02/07 22:01:16  arekm
- release 3

Revision 1.13  2010/02/09 00:50:18  sparky
- BR: xorg-lib-libXext-devel, xorg-lib-libXt-devel

Revision 1.12  2010/02/06 21:02:43  arekm
- release 2

Revision 1.11  2009/09/08 15:30:12  gotar
- upgraded to 1.54

Revision 1.10  2009/07/12 13:22:57  arekm
- release 2

Revision 1.9  2008/04/25 16:03:42  gotar
- note on XPS support in summaries,
- fonts don't require main package, fixed group,
- package more binaries,
- added TODOs

Revision 1.8  2008-04-25 15:25:31  gotar
- upgraded to 1.52 (new Source0),
- build pspcl6 and gxps,
- use shared libpng, libjpeg and expat (the latter one only for gxps), added
  appropriate BRs (NOTE: pspcl6 and pcl6 shouldn't link to expat!)
- removed not working OPTFLAGS, pass flags through XCFLAGS, XLDFLAGS doesn't
  work either,
- put TTF fonts in global fonts directory.

Revision 1.7  2008-01-30 18:02:07  pascalek
- updated to 1.51

Revision 1.6  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.4  2006/01/03 20:43:03  qboosh
- noted download URL

Revision 1.3  2005/12/11 20:26:02  darekr
- strict deps

Revision 1.2  2003/12/25 22:49:11  qboosh
- fonts moved to /usr/share, updated fonts_locations patch
- added make patch to use optflags and shared zlib
- removed separate Public.htm, it's already in tarball
- release 1

Revision 1.1  2003/12/18 20:16:31  hunter
- initial PLD spec
